#include <bits/stdc++.h>

using namespace std;
using ll = long long;

vector<vector<int>> getVisionPattern2d() {
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return make_pair(0, 0);
}

vector<int> getVisionPattern1d() { return (vector < int >){1, 1, 2, 3}; }

int getMove1d(vector<int> v) {
    int n = (int)v.size() / 2;
    int m = (n == 3 ? 1 : n + 1);
    for (int i : {n - 1, n + 1}) if (v[i] == m) return i;
    for (int i : {n - 1, n + 1}) if (v[i] == n) return i;
    return 0;
}
